=== debian/Makefile ===
# This is a dummy Makefile to satisfy GNU libc's build mechanism.  It is
# only needed to name the files which have to be distributed.

subdir := debian

distribute := FAQ README changelog control control.in copyright do_locales \
	      rules shlibs shlibs.alpha shlibs.m68k substvars tzconfig	   \
	      libc/postinst libc/preinst				   \
	      libc-dev/preinst						   \
	      libc-doc/postinst libc-doc/prerm				   \
	      timezones/conffiles timezones/postinst timezones/postrm

include ../Rules
