=== debian/changelog ===
glibc (2.0.6-1) unstable; urgency=low

  * New upstream version (2.0.6).

 -- David Engel <david@sw.ods.com>  Sun, 28 Dec 1997 15:09:41 -0600

glibc (2.0.6-0.6) unstable; urgency=low

  * New upstream version (2.0.6pre6).

 -- David Engel <david@sw.ods.com>  Sat, 27 Dec 1997 23:34:43 -0600

glibc (2.0.6-0.5) unstable; urgency=low

  * New upstream version (2.0.6pre5).
  * Updated Debian README and FAQ for inclusion in upstream source.
  * Changed libc6 to conflict with old libc5 packages.
  * Changed libc6 to conflict with existing libpthread0 packages.
  * Fixed libc6-dev to create /usr/include symlinks correctly.
  * Changed libc6-dev to depend on either kernel-headers or kernel-source.
  * Fixed libc6-doc to not include erroneous dir.gz.
  
 -- David Engel <david@sw.ods.com>  Mon, 22 Dec 1997 01:14:22 -0600

glibc (2.0.6-0.4) unstable; urgency=low

  * New upstream version (2.0.6-pre4).
  * Use and depend on kernel-headers-2.0.32 package for the kernel
    header files.
  * Remove obsolete patches from debian directory.

 -- David Engel <david@sw.ods.com>  Fri, 12 Dec 1997 00:20:57 -0600

glibc (2.0.6-0.3) unstable; urgency=low

  * New upstream version (2.0.6-pre3).

 -- David Engel <david@sw.ods.com>  Tue,  9 Dec 1997 21:47:20 -0600

glibc (2.0.6-0.2) unstable; urgency=low

  * New upstream version (2.0.6-pre2).
  * New kernel headers (2.0.32).
  * Fixed m68k build and dependency problems.
  * Added Conflicts: libpthread0 (=0.6-1).
  * Added INSTALL to /usr/doc at request of upstream maintainer.

 -- David Engel <david@sw.ods.com>  Wed, 19 Nov 1997 20:23:02 -0600

glibc (2.0.6-0.1) unstable; urgency=low

  * New upstream version (2.0.6-pre1).
  * New kernel headers (2.0.32-pre4).

 -- David Engel <david@sw.ods.com>  Fri, 14 Nov 1997 19:43:06 -0600

glibc (2.0.5c-0.1) unstable; urgency=low

  * New upstream version. (10417,12304)
  * Fix security hole in tzconfig. (11609)
  * Patch linuxthreads for libstdc++

 -- Guy Maor <maor@ece.utexas.edu>  Fri,  3 Oct 1997 14:08:30 -0500

glibc (2.0.4-1) unstable; urgency=low

  * new Maintainer
  * new upstream version
  * included asm-m68k fixes (James Troup <J.J.Troup@comp.brad.ac.uk>)

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 23 May 1997 20:00:00 +0200

glibc (2.0.3-4) unstable; urgency=low

  * Changed tzconfig to allow Canadian timezones to be selected by
    name.
  * Changed libc6-dev to legally replace parts of the man-db, gettext
    and ppp packages (Bug#9815 abd Bug#9825).

 -- David Engel <david@sw.ods.com>  Thu, 15 May 1997 12:35:43 -0500

glibc (2.0.3-3) unstable; urgency=low

  * Integrated Mike Dorman's patches for the alpha (Bug#9208,
    Bug#9212 and Bug#9219).

 -- David Engel <david@sw.ods.com>  Mon, 5 May 1997 11:32:14 -0500

glibc (2.0.3-2) unstable; urgency=low

  * Fixed a problem with the .orig.tar.gz file.
  * Really moved from experimental to unstable.
  * Added initial, integrated support for alpha architecture.

 -- David Engel <david@sw.ods.com>  Fri, 25 Apr 1997 15:15:37 -0500

glibc (2.0.3-1) experimental; urgency=low

  * Updated to new upstream version.
  * Moved from experimental section to unstable.
  * Included man pages for linuxthreads.

 -- David Engel <david@sw.ods.com>  Tue, 22 Apr 1997 08:56:37 -0500

glibc (2.0.2-2) experimental; urgency=low

  * Added a shlibs entry for /lib/ld-linux.so.2.
  * Added symlinks to /usr/doc/libc6 for -dev, -dbg and -doc
    packages.

 -- David Engel <david@sw.ods.com>  Fri, 4 Apr 1997 21:58:44 -0600

glibc (2.0.2-1) experimental; urgency=low

  * Updated to new upstream version.

 -- David Engel <david@sw.ods.com>  Sat, 22 Mar 1997 11:53:16 -0600

glibc (2.0.1-2) experimental; urgency=low

  * Changed to work with ldso-1.9.x.
  * Changed to build with local kernel headers.
  * Changed is_IS locale to match that from wg15-locale.
  * Added compiled versions of locales.
  * Added documentation from add-on packages.
  * Fixed install problems with timezones.
  * Moved libdb headers from /usr/include/db to /usr/include.

 -- David Engel <david@sw.ods.com>  Thu, 27 Feb 1997 19:57:25 -0600

glibc (2.0.1-1) experimental; urgency=low

  * Initial packaging.

 -- David Engel <david@debian.org>  Thu, 20 Feb 1997 21:15:52 -0600

Local variables:
mode: debian-changelog
End:
