=== debian/control ===
Source: glibc
Section: libs
Priority: required
Maintainer: David Engel <david@debian.org>
Standards-Version: 2.1.2.2

Package: libc6
Architecture: any
Section: base
Priority: required
Pre-Depends: ${i386:libc6}${m68k:libc6}
Conflicts: libc5 (<<5.4.33-7), libpthread0 (<<0.7-10)
Description: The GNU C library version 2 (run-time files).
 Includes shared libraries needed to run programs.

Package: libc6-dev
Architecture: any
Section: devel
Priority: standard
Depends: libc6 (=${Source-Version}), kernel-headers-${kversion} (>=${kversion}-${krevision}) | kernel-source-${kversion} (>=${kversion}-${krevision}), gcc (>=2.7.2.3-1)
Conflicts: libc-dev, libdl1-dev, libdb1-dev, libgdbm1-dev, libpthread0-dev
Replaces: ldso (<<1.9.0-0), man-db (<=2.3.10-37), gettext (<=0.10.26-1), ppp (<=2.2.0f-24)
Provides: libc-dev
Description: The GNU C library version 2 (development files).
 Includes libc headers, kernel headers and static libraries.

Package: libc6-dbg
Architecture: any
Section: devel
Priority: optional
Depends: libc6-dev (=${Source-Version})
Conflicts: libc-dbg
Provides: libc-dbg
Description: The GNU C library version 2 (debugging/profiling files).
 Includes static libraries compiled with debugging and profiling info.

Package: libc6-pic
Architecture: any
Section: devel
Priority: optional
Depends: libc6-dev (=${Source-Version})
Conflicts: libc-pic
Provides: libc-pic
Description: The GNU C library version 2 (PIC library)
 Contains PIC library for generating reduced glibc for installation disks.

Package: libc6-doc
Architecture: all
Section: doc
Priority: optional
Depends: libc6 (=${Source-Version})
Conflicts: libc-doc, glibcdoc
Replaces: glibcdoc
Provides: libc-doc
Description: The GNU C library version 2 (documentation files)
 Contains info file and other Documentation.

Package: locales
Architecture: any
Section: admin
Priority: standard
Depends: libc6
Conflicts: localebin, wg15-locale
Replaces: localebin, wg15-locale
Description: Locale data files and utilities.
 Contains utilities and machine-readable files used by the C library
 to internationalization.

Package: timezones
Architecture: any
Section: base
Priority: required
Depends: libc6
Conflicts: timezone
Replaces: timezone
Description: Time zone data files and utilities.
 Contains utilities and machine-readable files used by the C library
 to time zones, local time.
